Payment Profiles
Managing Payment Profiles
/api/pp/payment_profiles
Swiped Credit Card Payment Profile
Credit Card PaymentProfile Request Parameters
| Field |
Description |
Required |
Format |
Max Len |
| patient_id |
Patient Id |
No |
GUID |
36 |
| method_type |
Method Type |
Yes |
C |
1 |
| track_data |
Track Data |
Yes |
|
1,000 |
| billing_same |
Billing Same |
No |
|
255 |
| billing_first_name |
Billing First Name |
No |
|
255 |
| billing_last_name |
Billing Last Name |
No |
|
255 |
| billing_address_line1 |
Billing Address Line1 |
No |
|
255 |
| billing_address_line2 |
Billing Address Line2 |
No |
|
255 |
| billing_city |
Billing City |
No |
|
255 |
| billing_state |
Billing State |
No |
|
255 |
| billing_zip_code |
Billing Zip Code |
No |
999999999 |
255 |
| priority |
Priority |
No |
|
10 |
Non-Swiped Credit Card Payment Profile
Credit Card PaymentProfile Request Parameters
| Field |
Description |
Required |
Format |
Max Len |
| patient_id |
Patient Id |
No |
GUID |
36 |
| method_type |
Method Type |
Yes |
C |
1 |
| name_on_card |
Name on Card |
Yes |
|
255 |
| account_type |
Account Type |
No |
|
255 |
| card_number |
Card Number |
Yes |
|
255 |
| exp_date |
Exp Date |
Yes |
yyyy-dd |
10 |
| billing_same |
Billing Same |
No |
|
255 |
| billing_first_name |
Billing First Name |
No |
|
255 |
| billing_last_name |
Billing Last Name |
No |
|
255 |
| billing_address_line1 |
Billing Address Line1 |
No |
|
255 |
| billing_address_line2 |
Billing Address Line2 |
No |
|
255 |
| billing_city |
Billing City |
No |
|
255 |
| billing_state |
Billing State |
No |
|
255 |
| billing_zip_code |
Billing Zip Code |
No |
999999999 |
255 |
| priority |
Priority |
No |
|
10 |
Account Type Values
| Value |
Description |
| VI |
Visa |
| MC |
MasterCard |
| DI |
Discover |
| AX |
American Express |
ACH Payment Profile
ACH PaymentProfile Request Parameters
| Field |
Description |
Required |
Format |
Max Len |
| patient_id |
Patient Id |
No |
GUID |
36 |
| method_type |
Method Type |
Yes |
A |
1 |
| account_type |
Account Type |
Yes |
|
255 |
| account_number |
Account Number |
Yes |
|
255 |
| routing_number |
Routing Number |
Yes |
|
9 |
| billing_same |
Billing Same |
No |
|
255 |
| billing_first_name |
Billing First Name |
No |
|
255 |
| billing_last_name |
Billing Last Name |
No |
|
255 |
| billing_address_line1 |
Billing Address Line1 |
No |
|
255 |
| billing_address_line2 |
Billing Address Line2 |
No |
|
255 |
| billing_city |
Billing City |
No |
|
255 |
| billing_state |
Billing State |
No |
|
255 |
| billing_zip_code |
Billing Zip Code |
No |
999999999 |
255 |
| priority |
Priority |
No |
|
10 |
Account Type Values
| Value |
Description |
| C |
Checking |
| S |
Savings |
Payment Type Values
| Value |
Description |
| C |
Credit Card |
| A |
Bank Account |
Account Type Values
| Value |
Description |
| VI |
Visa (CARD only) |
| MC |
MasterCard (CARD only) |
| DI |
Discover (CARD only) |
| AX |
American Express (CARD only) |
| C |
Checking (ACH only) |
| S |
Savings (ACH only) |
Creating a payment profile
POST /api/pp/payment_profiles
Example
POST /api/pp/payment_profiles
Content-Type: application/json
{
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "4111111111111111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
Response
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
Updating a payment profile
POST /api/pp/payment_profiles/{guid}
Example
POST /api/pp/payment_profiles/9089ff5e-c644-461c-830f-5c7f131ab8f3
Content-Type: application/json
{
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "4111111111111111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
Response
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
Getting a payment profile
GET /api/pp/payment_profiles/{guid}
Example
GET /api/pp/payment_profiles/9089ff5e-c644-461c-830f-5c7f131ab8f3
Content-Type: application/json
Response
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
Searching payment_profiles
GET /api/pp/payment_profiles/?{field}={value}&{field}={value}
Example
GET /api/pp/payment_profiles/?patient_id=3d69025c-f500-4049-9339-5c3597384b58
Content-Type: application/json
Response
[
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
,
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}
]
Deleting a payment profile
DELETE /api/pp/payment_profiles/{guid}
Example
DELETE /api/pp/payment_profiles/9089ff5e-c644-461c-830f-5c7f131ab8f3
Content-Type: application/json
Response
{
"id": "9089ff5e-c644-461c-830f-5c7f131ab8f3",
"patient_id": "3d69025c-f500-4049-9339-5c3597384b58",
"method_type": "C",
"account_type": "VI",
"account_number": "1111",
"exp_date": "2016-10",
"billing_name": "John Doe",
"billing_address": "123 Main St",
"billing_city": "Tampa",
"billing_state": "FL",
"billing_zip_code": "32364"
}